<?php

namespace Ems\Logic\ProcessamentoSolicitacao;

use Ems\Util\Utils;
use Util\{ DateUtil, NovoCodigo, Repositories };

class ProcessamentoSolicitacaoContaCorrente extends ProcessamentoSolicitacao {
    
    public function efetivar() {
        $itens = $this->getItensAssociativeArray();

        $cdbanco        = $itens['CDBANCO']         ?? null;
        $cdagencia      = $itens['CDAGENCIA']       ?? null;
        $cdcontcorr     = $itens['CDCONTCORR']      ?? null;
        $nrtpcontcorr   = $itens['NRTPCONTCORR']    ?? null;
        $nrorg          = Utils::getParamters()->getNrorg();
        $nrvinculom     = $this->getSolicitacao()->getNrvinculom();

        $result = Utils::getEntityManager()->getRepository(Repositories::GPE_VINCULOM)->findOneBy(array("nrorg"=> $nrorg,"nrvinculom" => $nrvinculom));
        $result = Utils::getEntityManager()->getRepository(Repositories::GPE_PESSOA)->findOneBy(array("nrorg"=> $nrorg,"nrpessoa" => $result->getNrpessoa()));

        $contcorr = Utils::getEntityManager()->getRepository(Repositories::CONTCORRPARC)->findOneBy(array("nrorg"=> $nrorg,"nrparcnegocio" => $result->getNrparcnegocio(),"nrtpcontcorr" => $nrtpcontcorr));
        
        if(!$contcorr){
            $contaCorrenteParc = Repositories::CONTCORRPARC;
            $contcorr = new $contaCorrenteParc;
            $contcorr->setNrcontcorrparc(NovoCodigo::geraCodigo(Utils::getParamters()->getNrorg(), 'CONTCORRPARC', 1, 12, true));
            $contcorr->setNrparcnegocio($result->getNrparcnegocio());
            $contcorr->setNrorg(Utils::getParamters()->getNrorg());
            $contcorr->setDtinclusao(DateUtil::getDataAtual(false));
            $contcorr->setNrorginclusao(Utils::getParamters()->getNrorg());
            $contcorr->setCdoperinclusao(Utils::getParamters()->getCdoperador());
        }
        $contcorr->setCdbanco($cdbanco);
        $contcorr->setCdagencia($cdagencia);
        $contcorr->setCdcontcorr($cdcontcorr);
        $contcorr->setNrtpcontcorr($nrtpcontcorr);
        $contcorr->setDtultatu(DateUtil::getDataAtual(false));
        $contcorr->setNrorgultatu(Utils::getParamters()->getNrorg());
        $contcorr->setCdoperultatu(Utils::getParamters()->getCdoperador());
        
        Utils::getEntityManager()->persist($contcorr);
        Utils::getEntityManager()->flush();
    }
    
    public function rejeitar() {}
}